> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reporta.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Report

> Updates an existing report

<Note>
  If your identifier type is `account`, the value should be formatted as `accountNumber_bankSlug` (e.g., `1234567890_bca`).

  You can obtain the bank slugs by:

  * Calling our [Get Banks API](/api-reference/meta-data/get-banks)
  * Referring to our [Bank Slugs Reference](https://docs.google.com/spreadsheets/d/1CXnREL3XRG6GoZIFOBOAysgIUogx2BQfSPVeCtWN9zk/edit?usp=sharing)
</Note>


## OpenAPI

````yaml api-reference/report/report-openapi.json put /reports/{id}
openapi: 3.0.1
info:
  title: Fraud Report API
  description: API to report suspected activity
  version: 1.0.0
servers: []
security: []
paths:
  /reports/{id}:
    put:
      description: Updates an existing report
      parameters:
        - name: id
          in: path
          description: ID of the report to update
          required: true
          schema:
            type: string
      requestBody:
        description: Details of the report to update
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                fraudType:
                  type: string
                  description: Type of suspicious activity
                  enum:
                    - hacker
                    - identity_theft
                    - money_mule
                    - suspicious_pep
                    - sanctioned/ofac
                    - theft
                    - fraudulent_loan
                    - social_engineering
                    - other
                    - romance_fraud
                    - land_property_scams
                fraudReason:
                  type: string
                  description: Reason for reporting the suspicious activity
                  maxLength: 2000
                  minLength: 50
                attachments:
                  type: array
                  description: >-
                    Maximum of three links to uploaded files. Use the upload
                    endpoint to upload the files and include the returned URLs
                    here.
                  items:
                    type: string
                    format: uri
                  maxItems: 3
                identifiers:
                  type: array
                  description: Array of identifiers to describe the fraud
                  items:
                    type: object
                    properties:
                      label:
                        type: string
                        description: Identifier label
                        enum:
                          - account
                          - bvn
                          - nin
                          - drivers_license
                          - international_passport
                          - email
                          - phone
                          - account_name
                          - social_handle
                      value:
                        type: string
                        description: Identifier value
                    required:
                      - label
                      - value
                showUploaderInfo:
                  type: string
                  enum:
                    - 'true'
                    - 'false'
                  description: Whether to show the uploader information, defaults to false
              required:
                - fraudType
                - fraudReason
                - identifiers
      responses:
        '200':
          description: Fraud report updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates if the report was successfully updated
                  message:
                    type: string
                    description: Response message
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Unique ID of the updated report
                        format: uuid
                        example: <string>
                      listingStatus:
                        type: string
                        description: Status of the report
                        enum:
                          - listed
                          - unlisted
                      exitedListAt:
                        type: string
                        nullable: true
                        description: Timestamp of when the report was exited from the list
                        format: date-time
                      exitListReason:
                        type: string
                        nullable: true
                        description: Reason for exiting the list
                      status:
                        type: string
                        description: >-
                          Status of the report, can be published or draft.
                          Default is published
                        enum:
                          - published
                          - draft
                      fraudType:
                        type: string
                        description: Type of fraud reported
                      fraudReason:
                        type: string
                        description: Reason for reporting the suspicious activity
                      reportedBy:
                        type: string
                        description: ID of the user who reported the suspicious activity
                      companyId:
                        type: string
                        description: >-
                          ID of the company that reported the suspicious
                          activity
                      updatedAt:
                        type: string
                        format: date-time
                        description: Timestamp when the report was last updated
                      createdAt:
                        type: string
                        format: date-time
                        description: Timestamp when the report was created
                      identifiers:
                        type: array
                        description: List of encrypted identifiers
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: Identifier label
                            value:
                              type: string
                              description: Encrypted identifier value
                          required:
                            - label
                            - value
                    required:
                      - id
                      - listingStatus
                      - exitedListAt
                      - exitListReason
                      - status
                      - fraudType
                      - fraudReason
                      - attachments
                      - identifiers
                      - showUploaderInfo
                      - companyId
                      - updatedAt
                      - createdAt
                required:
                  - success
                  - message
                  - data
        '404':
          description: Report not found
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````